Skip to main content
Drivers

De-identify driver data

This method requires the Drivers:Deidentification permission to be associated with your role.

POST
/fm/drivers/deidentification
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/x-www-form-urlencoded
deidentification_methodenum<string>default:expungerequired

De-identification method to apply.

  • expunge will delete the data from the specified fields
  • obfuscate will replace the specified fields with randomised data
  • wildcard-substitution will replace the specified fields with an * (asterisk character)
  • wildcard-substitution-with-suffix will replace the specified fields with an * (asterisk character) preserving a 3 character suffix
Available options: expunge, obfuscate, wildcard-substitution, wildcard-substitution-with-suffix
driver_classification_query_idstringrequired

SQL query used to identify applicable drivers for deidentification purposes.

The specified query id should return a driver_id column, identifying the drivers the de-identification process should apply to.

wildcard_subsitution_characterenum<string>default:asterisk

Substitution character to be used when method is set to wildcard-substitution or wildcard-substitution-with-suffix.

Defaults to asterisk (*).

Available options: asterisk, hash, randomised

Success

Driver deidentification job was run and has completed successfully.